apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "2"
    image.openshift.io/triggers: '[{ "fieldPath": "spec.template.spec.containers[?(@.name==\"oadp-restore-issue\")].image",
      "from": { "kind": "ImageStreamTag", "name": "mariadb:latest", "namespace": "openshift"
      } }]'
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"2","image.openshift.io/triggers":"[{ \"fieldPath\": \"spec.template.spec.containers[?(@.name==\\\"oadp-restore-issue\\\")].image\", \"from\": { \"kind\": \"ImageStreamTag\", \"name\": \"mariadb:latest\", \"namespace\": \"openshift\" } }]","openshift.io/backup-registry-hostname":"image-registry.openshift-image-registry.svc:5000","openshift.io/backup-server-version":"1.29"},"creationTimestamp":"2024-04-25T12:52:12Z","generation":2,"labels":{"app":"oadp-restore-issue"},"managedFields":[{"apiVersion":"apps/v1","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:annotations":{".":{},"f:image.openshift.io/triggers":{},"f:kubectl.kubernetes.io/last-applied-configuration":{}},"f:labels":{".":{},"f:app":{}}},"f:spec":{"f:progressDeadlineSeconds":{},"f:replicas":{},"f:revisionHistoryLimit":{},"f:selector":{},"f:strategy":{"f:type":{}},"f:template":{"f:metadata":{"f:labels":{".":{},"f:app":{}}},"f:spec":{"f:containers":{"k:{\"name\":\"oadp-restore-issue\"}":{".":{},"f:env":{".":{},"k:{\"name\":\"MYSQL_DATABASE\"}":{".":{},"f:name":{},"f:value":{}},"k:{\"name\":\"MYSQL_PASSWORD\"}":{".":{},"f:name":{},"f:value":{}},"k:{\"name\":\"MYSQL_USER\"}":{".":{},"f:name":{},"f:value":{}}},"f:imagePullPolicy":{},"f:livenessProbe":{".":{},"f:exec":{".":{},"f:command":{}},"f:failureThreshold":{},"f:initialDelaySeconds":{},"f:periodSeconds":{},"f:successThreshold":{},"f:timeoutSeconds":{}},"f:name":{},"f:readinessProbe":{".":{},"f:exec":{".":{},"f:command":{}},"f:failureThreshold":{},"f:periodSeconds":{},"f:successThreshold":{},"f:timeoutSeconds":{}},"f:resources":{},"f:securityContext":{".":{},"f:allowPrivilegeEscalation":{},"f:capabilities":{".":{},"f:drop":{}}},"f:terminationMessagePath":{},"f:terminationMessagePolicy":{},"f:volumeMounts":{".":{},"k:{\"mountPath\":\"/var/lib/mysql/data\"}":{".":{},"f:mountPath":{},"f:name":{}}}}},"f:dnsPolicy":{},"f:restartPolicy":{},"f:schedulerName":{},"f:securityContext":{},"f:terminationGracePeriodSeconds":{},"f:volumes":{".":{},"k:{\"name\":\"oadp-restore-issue\"}":{".":{},"f:name":{},"f:persistentVolumeClaim":{".":{},"f:claimName":{}}}}}}}},"manager":"kubectl-client-side-apply","operation":"Update","time":"2024-04-25T12:52:12Z"},{"apiVersion":"apps/v1","fieldsType":"FieldsV1","fieldsV1":{"f:spec":{"f:template":{"f:spec":{"f:containers":{"k:{\"name\":\"oadp-restore-issue\"}":{"f:image":{}}}}}}},"manager":"openshift-controller-manager","operation":"Update","time":"2024-04-25T12:52:13Z"},{"apiVersion":"apps/v1","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:annotations":{"f:deployment.kubernetes.io/revision":{}}},"f:status":{"f:availableReplicas":{},"f:conditions":{".":{},"k:{\"type\":\"Available\"}":{".":{},"f:lastTransitionTime":{},"f:lastUpdateTime":{},"f:message":{},"f:reason":{},"f:status":{},"f:type":{}},"k:{\"type\":\"Progressing\"}":{".":{},"f:lastTransitionTime":{},"f:lastUpdateTime":{},"f:message":{},"f:reason":{},"f:status":{},"f:type":{}}},"f:observedGeneration":{},"f:readyReplicas":{},"f:replicas":{},"f:updatedReplicas":{}}},"manager":"kube-controller-manager","operation":"Update","subresource":"status","time":"2024-04-25T12:52:25Z"}],"name":"oadp-restore-issue","namespace":"oadp-restore-issue","resourceVersion":"135354325","uid":"9824be57-612b-4671-9358-1d8efc3e8a31"},"spec":{"progressDeadlineSeconds":600,"replicas":1,"revisionHistoryLimit":10,"selector":{"matchLabels":{"app":"oadp-restore-issue"}},"strategy":{"type":"Recreate"},"template":{"metadata":{"creationTimestamp":null,"labels":{"app":"oadp-restore-issue"}},"spec":{"containers":[{"env":[{"name":"MYSQL_DATABASE","value":"oadp_restore_issue"},{"name":"MYSQL_USER","value":"oadp_restore_issue"},{"name":"MYSQL_PASSWORD","value":"oadp_restore_issue"}],"image":"image-registry.openshift-image-registry.svc:5000/openshift/mariadb@sha256:3dcf999b44b15f270d6ccd7450b95f16c22d8c2081e81b76c9393be854648e45","imagePullPolicy":"Always","livenessProbe":{"exec":{"command":["mysqladmin","--user=root","ping"]},"failureThreshold":3,"initialDelaySeconds":30,"periodSeconds":10,"successThreshold":1,"timeoutSeconds":1},"name":"oadp-restore-issue","readinessProbe":{"exec":{"command":["/bin/sh","-c","mysqladmin --host='127.0.0.1' --user=\"${MYSQL_USER}\" --password=\"${MYSQL_PASSWORD}\" ping"]},"failureThreshold":3,"periodSeconds":10,"successThreshold":1,"timeoutSeconds":1},"resources":{},"securityContext":{"allowPrivilegeEscalation":false,"capabilities":{"drop":["ALL"]}},"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","volumeMounts":[{"mountPath":"/var/lib/mysql/data","name":"oadp-restore-issue"}]}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"terminationGracePeriodSeconds":30,"volumes":[{"name":"oadp-restore-issue","persistentVolumeClaim":{"claimName":"oadp-restore-issue"}}]}}},"status":{"availableReplicas":1,"conditions":[{"lastTransitionTime":"2024-04-25T12:52:25Z","lastUpdateTime":"2024-04-25T12:52:25Z","message":"Deployment has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"},{"lastTransitionTime":"2024-04-25T12:52:12Z","lastUpdateTime":"2024-04-25T12:52:25Z","message":"ReplicaSet \"oadp-restore-issue-9b97bf565\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"}],"observedGeneration":2,"readyReplicas":1,"replicas":1,"updatedReplicas":1}}
    openshift.io/backup-registry-hostname: image-registry.openshift-image-registry.svc:5000
    openshift.io/backup-server-version: "1.29"
  creationTimestamp: "2024-04-25T12:52:12Z"
  generation: 2
  labels:
    app: oadp-restore-issue
  name: oadp-restore-issue
  namespace: oadp-restore-issue
  resourceVersion: "135354325"
  uid: 9824be57-612b-4671-9358-1d8efc3e8a31
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: oadp-restore-issue
  strategy:
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: oadp-restore-issue
    spec:
      containers:
      - env:
        - name: MYSQL_DATABASE
          value: oadp_restore_issue
        - name: MYSQL_USER
          value: oadp_restore_issue
        - name: MYSQL_PASSWORD
          value: oadp_restore_issue
        image: image-registry.openshift-image-registry.svc:5000/openshift/mariadb@sha256:3dcf999b44b15f270d6ccd7450b95f16c22d8c2081e81b76c9393be854648e45
        imagePullPolicy: Always
        livenessProbe:
          exec:
            command:
            - mysqladmin
            - --user=root
            - ping
          failureThreshold: 3
          initialDelaySeconds: 30
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        name: oadp-restore-issue
        readinessProbe:
          exec:
            command:
            - /bin/sh
            - -c
            - mysqladmin --host='127.0.0.1' --user="${MYSQL_USER}" --password="${MYSQL_PASSWORD}"
              ping
          failureThreshold: 3
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        resources: {}
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - ALL
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /var/lib/mysql/data
          name: oadp-restore-issue
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - name: oadp-restore-issue
        persistentVolumeClaim:
          claimName: oadp-restore-issue
status:
  availableReplicas: 1
  conditions:
  - lastTransitionTime: "2024-04-25T12:52:25Z"
    lastUpdateTime: "2024-04-25T12:52:25Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  - lastTransitionTime: "2024-04-25T12:52:12Z"
    lastUpdateTime: "2024-04-25T12:52:25Z"
    message: ReplicaSet "oadp-restore-issue-9b97bf565" has successfully progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  observedGeneration: 2
  readyReplicas: 1
  replicas: 1
  updatedReplicas: 1
